package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOrderRefundGetRequest struct {
	/*
	   五道口订单列表（子订单）     */
	BizOrderIds *[]int64 `json:"biz_order_ids,omitempty" required:"false" `
	/*
	   退款订单列表     */
	RefundIds *[]int64 `json:"refund_ids,omitempty" required:"false" `
	/*
	   渠道来源 3：饿了么 4：盒马     */
	OrderFrom *int64 `json:"order_from,omitempty" required:"false" `
	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" required:"false" `
	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" required:"false" `
}

func (s *AlibabaWdkOrderRefundGetRequest) SetBizOrderIds(v []int64) *AlibabaWdkOrderRefundGetRequest {
	s.BizOrderIds = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetRequest) SetRefundIds(v []int64) *AlibabaWdkOrderRefundGetRequest {
	s.RefundIds = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetRequest) SetOrderFrom(v int64) *AlibabaWdkOrderRefundGetRequest {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetRequest) SetShopId(v string) *AlibabaWdkOrderRefundGetRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkOrderRefundGetRequest) SetStoreId(v string) *AlibabaWdkOrderRefundGetRequest {
	s.StoreId = &v
	return s
}

func (req *AlibabaWdkOrderRefundGetRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.BizOrderIds != nil {
		paramMap["biz_order_ids"] = util.ConvertBasicList(*req.BizOrderIds)
	}
	if req.RefundIds != nil {
		paramMap["refund_ids"] = util.ConvertBasicList(*req.RefundIds)
	}
	if req.OrderFrom != nil {
		paramMap["order_from"] = *req.OrderFrom
	}
	if req.ShopId != nil {
		paramMap["shop_id"] = *req.ShopId
	}
	if req.StoreId != nil {
		paramMap["store_id"] = *req.StoreId
	}
	return paramMap
}

func (req *AlibabaWdkOrderRefundGetRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
